### Constructor

# Gio UnixSocketAddress new_abstract

deprecated: Unknown

#### Declaration [src]

    GSocketAddress*
    g_unix_socket_address_new_abstract (
      const gchar* path,
      gint path_len
    )

#### Description [src]

Creates a new `G_UNIX_SOCKET_ADDRESS_ABSTRACT_PADDED` `GUnixSocketAddress` for `path`.

Deprecated since: Unknown

Use g_unix_socket_address_new_with_type().

#### Parameters

`path`

  Type: An array of `char`

  The abstract name.

  The length of the array is specified in the `path_len` argument.
  The data is owned by the caller of the function.

`path_len`

  Type: `gint`

  The length of `path`, or -1.

#### Return value

Type: `GSocketAddress`

A new `GUnixSocketAddress`.

The caller of the function takes ownership of the data, and is responsible for freeing it.